CREATE TABLE iby_formats_b[ (
    FORMAT_CODE                       VARCHAR2(120)     NOT NULL,
    FORMAT_TYPE_CODE                  VARCHAR2(120)     NOT NULL,
    FORMAT_TEMPLATE_CODE              VARCHAR2(320) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    REFERENCE_FORMAT_CODE             VARCHAR2(120) ,
    SEEDED_FLAG                       VARCHAR2(4)   ,
    TRANSFORM_PROGRAM_TYPE            VARCHAR2(120) ,
    TRANSFORM_SRVC_INTERFACE_CLASS    VARCHAR2(920) ,
    TRANSFORM_METHOD                  VARCHAR2(920) ,
    CODE_MAP_GROUP_CODE               VARCHAR2(120) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    B2B_DOC_DEFINITION                VARCHAR2(400) ,
    SHREDDING_HANDLED_BY_PARSER       VARCHAR2(4)   ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    PAYLOAD_TYPE_CODE                 VARCHAR2(120) ,
    TEMPLATE_DOCUMENT                 BLOB          ,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL
);
